﻿using System;
using System.Collections.Generic;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using CMS.Notifications;
using CMS.GlobalHelper;

public partial class CMSModules_Notifications_Controls_NotificationSubscription_SMSNotificationSubscription : CMSNotificationGatewayForm
{
    #region "Properties"

    /// <summary>
    /// Gets or sets the phone number from/to textbox.
    /// </summary>
    public override object Value
    {
        get
        {
            return this.txtPhoneNumber.Text.Trim();
        }
        set
        {
            this.txtPhoneNumber.Text = ValidationHelper.GetString(value, "");
        }
    }

    #endregion


    protected void Page_Load(object sender, EventArgs e)
    {
        this.lblPhoneNumber.Text = "Phone number:";
    }


    #region "Public methods"

    /// <summary>
    /// Checks whether the input is correct phone number.
    /// </summary>
    public override string Validate()
    {
        // Add your custom phone number validation
        return String.Empty;
    }


    /// <summary>
    /// Clears the e-mail textbox field.
    /// </summary>
    public override void ClearForm()
    {
        this.txtPhoneNumber.Text = "";
    }

    #endregion
}
