﻿using System;
using System.Collections.Generic;
using System.Text;

using CMS.CMSHelper;
using CMS.SettingsProvider;

namespace SMSNotification
{
    /// <summary>
    /// Base class for sms message.
    /// </summary>
    public class SMSMessage
    {
        #region "Variables"

        private string mFrom = null;
        private string mTo = null;
        private string mText = null;

        #endregion

        #region "Properties"

        /// <summary>
        /// Phone number which the message will be send from.
        /// If not set value from setting is used.
        /// </summary>
        public string From
        {
            get
            {
                if (this.mFrom == null)
                {
                    string siteName = (CMSContext.CurrentSiteName != null ? CMSContext.CurrentSiteName : "");
                    this.mFrom = SettingsKeyProvider.GetStringValue(siteName + ".SMSFrom");
                   
                }
                return this.mFrom;
            }
            set
            {
                this.mFrom = value;
            }
        }


        /// <summary>
        /// Phone number which the message will be send to.
        /// </summary>
        public string To
        {
            get
            {
                return this.mTo;
            }
            set
            {
                this.mTo = value;
            }
        }


        /// <summary>
        /// Text of message.
        /// </summary>
        public string Text
        {
            get
            {
                return this.mText;
            }
            set
            {
                this.mText = value;
            }
        }

        #endregion
    }
}
